from django.db import models

from start.models import AbstractSearchable

class BlogPost(AbstractSearchable):
    """
    Should contain a blogpost
    """
    title = models.CharField(max_length=50)
    subtitle = models.CharField(max_length=50)
    desc = models.CharField(max_length=250, unique=True)
    body = models.TextField()
    date = models.DateField(blank=True)
    slug = models.SlugField()
